require 'Qt'

    a = TQt::Application.new( ARGV )

    hello = TQt::PushButton.new( "Hello world!", nil )
    hello.resize( 100, 30 )
 
    TQt::Object::connect( hello, SIGNAL('clicked()'), a, SLOT('quit()') )
 
    a.setMainWidget( hello )
    hello.show()
 
    a.exec()